using System;


namespace ConsoleApp2
{
    class Program
    {

        static void Main(string[] args)
        {
            
            int j = int.Parse(Console.ReadLine());
            string x = Console.ReadLine();
            long sum;
            int[] n = new int[26] ;
            for (int i = 0; i < j; i++)
            {
                n[(int)x[i] - 65]++;
                if (n[(int)x[i] - 65] > 2)
                    if (x[i] != x[i - 1])
                        n[(int)x[i] - 65]--;
            }
            sum = (n[0]);
            for (int i=1;i<26;i++)
            {
                if (n[i] - 1 != 0);
                {
                    sum *= n[i];
                }
            }
            Console.WriteLine(sum);
        }
    }
}